SDL_KillProcess(3)

NAME
SDL_KillProcess - Stop a process.

SYNOPSIS
#include <SDL3/SDL_process.h>

bool SDL_KillProcess(SDL_Process *process, bool force);

FUNCTION PARAMETERS

process
    The process to stop.

force
    true to terminate the process immediately, false to try to stop the process gracefully. In general you should try to stop the process gracefully first as terminating a process may leave it with half-written data or in some other unstable state.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateProcess(3), SDL_CreateProcessWithProperties(3), SDL_WaitProcess(3), SDL_DestroyProcess(3)